pgpool-II 4.1.4 Documentation
Prev | Up |  | Next

# pcp_detach_node

## Name

pcp_detach_node -- detaches the given node from Pgpool-II. Existing connections to Pgpool-II are forced to be disconnected.

## Synopsis

`pcp_detach_node` [`options`...] [`node_id`] [`gracefully`]

## Description

`pcp_detach_node` detaches the given node from Pgpool-II. Existing connections to Pgpool-II are forced to be disconnected.

## Options

`-n `node_id``
`--node_id=`node_id``

  The index of backend node to detach.

`-g`
`--gracefully`

  wait until all clients are disconnected (unless client_idle_limit_in_recovery is -1 or recovery_timeout is expired).

`Other options`

  See pcp_common_options.

Prev | Home | Next
pcp_pool_status | Up | pcp_attach_node